LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLinkTargetSupplier Interface Referencepublished

interface is supplied by objects inside a document object model that have children that can be the target of a link inside a document. More...

`import"XLinkTargetSupplier.idl";`

Inheritance diagram for XLinkTargetSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getLinks ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

interface is supplied by objects inside a document object model that have children that can be the target of a link inside a document.

These targets implement the service LinkTarget.

Developers Guide
  Text Documents - Link Targets

## Member Function Documentation

## ◆ getLinks()

com::sun::star::container::XNameAccess getLinks | ( |  | ) |

Returns
  the names of possible links to children of this object inside a document object model. It implements the service LinkTargets.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XLinkTargetSupplier.idl